# Asterisk Project : Asterisk 12 ManagerAction_WaitEvent

Added by wikibot , edited by wikibot on Aug 29, 2013

# WaitEvent

### Synopsis

Wait for an event to occur.

### Description

This action will ellicit a `Success` response. Whenever a manager event is queued. Once WaitEvent has been called on an HTTP manager session, events will be generated and queued.

### Syntax

    Action: WaitEvent
    ActionID: <value>
    Timeout: <value>

##### Arguments

- `ActionID` - ActionID for this transaction. Will be returned.
- `Timeout` - Maximum time (in seconds) to wait for events, `-1` means forever.

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown